Is my system with newer firmware compatible if the system was certified with older firmware?

Created by Jeff Lane on
Keywords:
version firmware bios efi

The short answer is "most likely". If you look closely at the certification entry at https://certification.ubuntu.com, you will note that we tell you exactly what firmware was used for a given certification.

For this Dell R730xd, for example, you can see that the 14.04 cert was done with BIOS version 1.0.2, and 16.04 was done with version 2.1.7.

This is the starting point, meaning the system was known to work at that time on that firmware version.

The system SHOULD function using newer firmware versions as well, however, it's always possible that the hardware vendor will introduce a regression in a newer firmware version that could break Ubuntu compatibility or stability. This is not a common issue but it does happen from time to time.

So you should be fine with Ubuntu Server on later versions of system firmware, however, if you encounter issues that seem to be related to firmware, you should contact your OEM support for assistance.